Bug 998558 - The whole source code is not visible in the source view.
The whole source code is not visible in the source view.
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
medium Severity low
: ER5
: 6.0.0
Assigned To: Tihomir Surdilovic
Jiri Locker
: UserExperience
: 1003663 1265995 1315773 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 10:13 EDT by Marek Baluch
Modified: 2016-07-31 21:11 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (216.82 KB, image/png)
2013-08-19 10:13 EDT, Marek Baluch
no flags Details
Screenshot-BPMS-6.0.0.ER5 (218.75 KB, image/png)
2013-11-27 09:21 EST, Marek Baluch
no flags Details
Screenshot-BPMS-6.0.0.ER5-unwanted-part (295.72 KB, image/png)
2013-11-27 09:22 EST, Marek Baluch
no flags Details

  None (edit)
Description Marek Baluch 2013-08-19 10:13:45 EDT
Created attachment 788092 [details]
screenshot

Description of problem:

When a user want's to display the source code using the designer source view features then a part of the source view cannot be displayed because it's covered by other source code type labels. See the attached screenshot in which the JSON,SVG and ERDF source code type labels hide a portion of the BPMN2 process code. Please note that it's not possible to scroll down anymore.
Comment 1 Kris Verlaenen 2013-09-03 10:42:32 EDT
*** Bug 1003663 has been marked as a duplicate of this bug. ***
Comment 2 Tihomir Surdilovic 2013-11-07 18:22:37 EST
fix in designer master and 6.0.x branches
Comment 3 Marek Baluch 2013-11-27 09:21:01 EST
This is not yet fixed - Looks like the dialog viewport size is not counted correctly.

The scrollbar (on the left) will scroll down beyond the viewport of the dialog - See Screenshot-BPMS-6.0.0.ER5.

Further more if the source dialog is too big another scrollbar will be shown right bellow the original one.
See Screenshot-BPMS-6.0.0.ER5-unwanted-part.
Comment 4 Marek Baluch 2013-11-27 09:21:34 EST
Created attachment 829750 [details]
Screenshot-BPMS-6.0.0.ER5
Comment 5 Marek Baluch 2013-11-27 09:22:02 EST
Created attachment 829751 [details]
Screenshot-BPMS-6.0.0.ER5-unwanted-part
Comment 8 Jiri Locker 2015-12-08 10:12:52 EST
*** Bug 1265995 has been marked as a duplicate of this bug. ***
Comment 10 Jozef Marko 2016-04-19 08:01:36 EDT
*** Bug 1315773 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.